/*
 * @Author: PoJun
 * @Date: 2023-05-14 16:13:54
 * @LastEditors: PoJun
 * @LastEditTime: 2023-06-02 18:15:52
 * @Message: Nothing
 */
import Vue from "vue";
import App from "./App";
import "./uni.promisify.adaptor";

import store from "@/store";
let vuexStore = require("@/store/$u.mixin.js");
Vue.mixin(vuexStore);

import uView from "@/uni_modules/uview-ui";
Vue.use(uView);

Vue.config.productionTip = false;

App.mpType = "app";

const app = new Vue({
    store,
    ...App,
});

// 引入请求封装，将app参数传递到配置中
require("@/config/request.js")(app);

app.$mount();
