/*
 * @Author: PoJun
 * @Date: 2023-06-08 12:01:09
 * @LastEditors: PoJun
 * @LastEditTime: 2023-06-14 22:18:48
 * @Message: Nothing
 */

module.exports = {
    computed: {
        getBgColor() {
            let style = {};
            const { r, g, b, a } = this.defaultColor;
            style["background"] = `linear-gradient(to bottom, rgba(${r},${g},${b},${a}), transparent)`;
            return style;
        },
        getTabColor() {
            let style = {};
            const { r, g, b, a } = this.defaultColor;
            style["background"] = `rgba(${r},${g},${b},${a})`;
            style["color"] = "#fff";
            return style;
        },
    },
};
