/*
 * @Author: PoJun
 * @Date: 2023-05-14 16:21:33
 * @LastEditors: PoJun
 * @LastEditTime: 2023-05-17 12:26:54
 * @Message: Nothing
 */
module.exports = {
    publicPath: "./",
    productionSourceMap: false,
    filenameHashing: false,
    devServer: {
        open: true,
        proxy: {
            "/api": {
                target: process.env.VUE_APP_BASE_API,
                pathRewrite: { "^/api": "" },
                ws: false,
            },
        },
    },
    configureWebpack: () => {
        if (process.env.NODE_ENV === "production") {
            return {
                plugins: [],
            };
        }
    },
    chainWebpack: () => {},
};
